org.apache.calcite.avatica

## Enum InternalProperty.NullSorting

- java.lang.Object
- - java.lang.Enum<InternalProperty.NullSorting>
  - - org.apache.calcite.avatica.InternalProperty.NullSorting

All Implemented Interfaces:
  Serializable, Comparable<InternalProperty.NullSorting>

Enclosing class:
  InternalProperty

    static enum InternalProperty.NullSorting
    extends Enum<InternalProperty.NullSorting>

Where nulls appear in a sorted relation.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`END`
`HIGH`
`LOW`
`START`

### Method Summary

All Methods Static Methods Concrete Methods
`static InternalProperty.NullSorting` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InternalProperty.NullSorting[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### START

    public static final InternalProperty.NullSorting START

#### END

    public static final InternalProperty.NullSorting END

#### LOW

    public static final InternalProperty.NullSorting LOW

#### HIGH

    public static final InternalProperty.NullSorting HIGH

### Method Detail

#### values

    public static InternalProperty.NullSorting[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (InternalProperty.NullSorting c : InternalProperty.NullSorting.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static InternalProperty.NullSorting valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null